Unable to list target platforms. (Cant build into Android)

Just as the title says it gives me an error whenever i try to build for Android. Here’s the error:
83288-error-1.png

it also gives me this :

Please make sure the android sdk path is correct. See the Console for more details.
C:/Program Files (x86)/Java/jdk1.8.0_111\bin\java.exe -Xmx1024M -Dcom.android.sdkmanager.toolsdir=“C:/Users/Laurynas/AppData/Local/Android/sdk ools” -Dfile.encoding=UTF8 -jar “D:\UNITY!!\Editor\Data\PlaybackEngines\AndroidPlayer/Tools\sdktools.jar” -

I DO have SDK and JDK 8 installed , i have linked them in unity (external tools). I’ve reinstalled SDK about 5 times now. this thing is just killing me…

Im running Unity 5.4.3f1 On windows 8.1.

I cant find the fix ANYWHERE i’ve been looking for it for about 4 days now. Please help im getting desperate!! :frowning:

Mac unity android sdk path setting

If you have Android Studio installed.
The path for SDK is “/Users/username/Library/Android/sdk”.

But sometimes the “Library” folder is hidden.
To see the hidden files, follow the link: http://ianlunn.co.uk/articles/quickly-showhide-hidden-files-mac-os-x-mavericks/
Or follow the steps below

  • Open Terminal found in Finder > Applications > Utilities
  • In Terminal, paste the following: defaults write com.apple.finder AppleShowAllFiles YES
  • Press return
  • Hold the ‘Option/alt’ key, then right click on the Finder icon in the dock and click Relaunch.

Once you done this. Open unity->Unity->Preferences->External tools

In that find SDK path option, click browse, then drag the “sdk” folder which you just opened above in Finder…

Done…

If its still giving error then consider below case:

Sometimes Unity won’t recognise Android Studio’s sdk tools and gives error and ask you to again set the path.

To solve this, download separate sdk tools from Google.
Link : https://dl.google.com/android/repository/tools_r25.2.3-macosx.zip

Once you download the “tools” folder.
Then copy it and replace it in “/Users/username/Library/Android/sdk”.

And try again…

I know this is not written well…but if you are struggling a lot …if will just give you an correct hint. I struggled a lot for this issue…so wanted to help you all.
Thank you…

This post helped me to fix the problem:
https://forum.unity3d.com/threads/unity3d-5-5-0fx-unable-to-list-target-platforms-error.446096/#post-2977689

Are you sure you followed all the steps in the installation of the SDK?

“In step 4 of Installing the SDK, be sure to add at least one Android platform with API level equal to or higher than 9 (Platform 2.3 or greater), the Platform Tools, and the USB drivers if you’re using Windows.”

Here’s what the paths in External Tools look in my pc:

SDK: C:/Users/MyName/AppData/Local/Android/android-sdk/

Java: C:/Program Files/Java/jdk1.8.0_73

It looks like this was fixed in 5.6.1f1. I have the Android SDK Tools 26.0.2 installed and everything seems to run as expected.

Is this true for anyone else?

Found a fix!! THANKS ELENZIL!!! , My unity was save in a folder named “UNITY!!!” , i simply had to delete the exclamation marks and now it works! :slight_smile:

If you are a MacOS/Ubuntu & Window’s user, you can download here: Show this Video…

here’s a quick video on how to fix this error, also make sure you have java jdk version 8
Like shrinath-kopare said in an earlier post you have to download an earlier version of the sdk tool folder

I have same problem too. What can i do? :frowning:

Error is:
Error building Player: CommandInvokationFailure: Unable to list target platforms. Please make sure the android sdk path is correct. See the Console for more details.
C:/Program Files (x86)/Java/jdk1.8.0_121\bin\java.exe -Xmx1024M -Dcom.android.sdkmanager.toolsdir=“C:/Users/goktug3D/AppData/Local/Android/sdk ools” -Dfile.encoding=UTF8 -jar “D:\Unity\Editor\Data\PlaybackEngines\AndroidPlayer/Tools\sdktools.jar” -